---
inputType: "CA10__CaAwsDbInstance__c"
testData:
  - file: "test-data.json"
importExtracts:
  - file: "/types/CA10__CaAwsDbInstance__c/object.extracts.yaml"
conditions:
  - status: "INAPPLICABLE"
    currentStateMessage: "The Instance is not available."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10__status__c"
        right:
          TEXT: "available"
  - status: "INAPPLICABLE"
    currentStateMessage: "This policy doesn't apply to Cluster Instances."
    check:
      NOT_EMPTY:
        arg:
          EXTRACT: "CA10__clusterArn__c"
  - status: "INCOMPLIANT"
    currentStateMessage: "The RDS instance is not configured to copy tags to snapshots."
    remediationMessage: "Modify the RDS instance configuration to enable Copy Tags to Snapshots."
    check:
      IS_EQUAL:
        left:
          FIELD:
            path: "CA10__copyTagsToSnapshot__c"
        right:
          BOOLEAN: false
  - status: "COMPLIANT"
    currentStateMessage: "The RDS instance is configured to copy tags to snapshots."
    check:
      IS_EQUAL:
        left:
          FIELD:
            path: "CA10__copyTagsToSnapshot__c"
        right:
          BOOLEAN: true
otherwise:
  status: "UNDETERMINED"
  currentStateMessage: "Unexpected values in the field."
